%global commit0 2b7f74b8897765372f2c7d7c760229bd8740fea2
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver %(pkg-config --silence-errors --modversion varnishapi || echo 0)

Summary: libmhash support for Varnish VCL
Name: vmod-digest
Version: 1.0.3
Release: 0.1.20210302git2b7f74b%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/lib%{name}
Source0: %{url}/archive/%{commit0}.tar.gz#/lib%{name}-%{commit0}.tar.gz

Requires: varnish%{?_isa} = %varnishver

BuildRequires: make
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: python-docutils
BuildRequires: pkgconfig
BuildRequires: mhash-devel
BuildRequires: varnish
BuildRequires: varnish-libs-devel


%description
digest VMOD, providing libmhash support for Varnish VCL


%prep
%setup -n lib%{name}-%{commit0}
./autogen.sh


%build
%configure \
  --with-rst2man=: \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%check
%make_build check


%install
%make_install

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'

mv %{buildroot}%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}} _doc


%clean
rm -rf %{buildroot}


%files
%{_libdir}/varnish*/vmods/
%license LICENSE
%doc README.rst
%{_mandir}/man3/*.3*


%changelog
* Tue Mar 02 2021 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.3-0.1
- Rebuilt against varnish-6.0.7
- Now builds from a clean github checkout

* Wed Aug 08 2018 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.2-1
- New upstream release
- Rebuilt against varnish-4.1.1

* Fri Dec 29 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.2-0.4.20171229git0997854
- Rebuilt git checkout 0997854 against varnish-5.2.1

* Thu Oct 26 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.2-0.3.20170830gitbbbe255
- Rebuild against varnish-5.2.0

* Wed Aug 30 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.2-0.2.20170830gitbbbe255
- Rebuild against varnish-4.1.8

* Thu Dec 08 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.2-0.1.20161208gitbbbe255
- Checked out latest git master
- Rebuilt against varnish-4.1.4
 
* Mon Feb 08 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.0-0.2.20160208git10f3b44
- Checked out latest git master
- Use license macro also on epel6
- Built against varnish-4.1.1

* Fri Oct 23 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.4-0.1.git.10f3b44
- Wrapped for copr/fedora, loosely based on upstream specfile

* Wed Nov 14 2012 Lasse Karstensen <lasse@varnish-software.com> - 0.1-0.20121114
- Initial version.
